Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.odftoolkit.odfdom.dom.element.office
Class OdfStylesElement

    java.lang.Object
      org.apache.xerces.dom.NodeImpl
          org.apache.xerces.dom.ChildNode
              org.apache.xerces.dom.ParentNode
                  org.apache.xerces.dom.ElementImpl
                      org.apache.xerces.dom.ElementNSImpl
                          org.odftoolkit.odfdom.dom.element.OdfElement
                              org.odftoolkit.odfdom.dom.element.OdfContainerElementBase
                                  org.odftoolkit.odfdom.dom.element.office.OdfStylesElement

All Implemented Interfaces:
  Serializable, Cloneable, Element, EventTarget, Node, NodeList, TypeInfo

Direct Known Subclasses:
  OdfStyles

    public abstract class OdfStylesElement

extends OdfContainerElementBase

DOM implementation of OpenDocument element office:styles.

See Also:
  Serialized Form

Field Summary
`static OdfName` | `ELEMENT_NAME`

Fields inherited from class org.odftoolkit.odfdom.dom.element.OdfElement
`mOdfDocument`

Fields inherited from class org.apache.xerces.dom.ElementNSImpl
`localName, namespaceURI`

Fields inherited from class org.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class org.apache.xerces.dom.ParentNode
`firstChild, fNodeListCache, ownerDocument`

Fields inherited from class org.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class org.apache.xerces.dom.NodeImpl
`DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_IS_CONTAINED, DOCUMENT_POSITION_PRECEDING, ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, ID, IGNORABLEWS, NORMALIZED, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Fields inherited from interface org.w3c.dom.TypeInfo
`DERIVATION_EXTENSION, DERIVATION_LIST, DERIVATION_RESTRICTION, DERIVATION_UNION`

Constructor Summary
`OdfStylesElement(OdfFileDom aOwnerDoc)` Create the instance of OdfStylesElement

Method Summary
`OdfBibliographyConfigurationElement` | `createBibliographyConfigurationElement()` Create child element text:bibliography-configuration.
`OdfBooleanStyleElement` | `createBooleanStyleElement(OdfStyleName name)` Create child element number:boolean-style.
`OdfCurrencyStyleElement` | `createCurrencyStyleElement(OdfStyleName name)` Create child element number:currency-style.
`OdfDateStyleElement` | `createDateStyleElement(OdfStyleName name)` Create child element number:date-style.
`OdfDefaultPageLayoutElement` | `createDefaultPageLayoutElement()` Create child element style:default-page-layout.
`OdfDefaultStyleElement` | `createDefaultStyleElement()` Create child element style:default-style.
`OdfFillImageElement` | `createFillImageElement(OdfStyleName name, OdfAnyURI href)` Create child element draw:fill-image.
`OdfGradientElement` | `createGradientElement(OdfGradientStyleType style)` Create child element draw:gradient.
`OdfHatchElement` | `createHatchElement(OdfStyleName name, OdfHatchStyleType style)` Create child element draw:hatch.
`OdfLinearGradientElement` | `createLinearGradientElement(OdfStyleName name)` Create child element svg:linearGradient.
`OdfLinenumberingConfigurationElement` | `createLinenumberingConfigurationElement()` Create child element text:linenumbering-configuration.
`OdfListStyleElement` | `createListStyleElement(OdfStyleName name)` Create child element text:list-style.
`OdfMarkerElement` | `createMarkerElement(OdfStyleName name, Integer viewBox, String d)` Create child element draw:marker.
`OdfNotesConfigurationElement` | `createNotesConfigurationElement(OdfNoteClassType noteClass)` Create child element text:notes-configuration.
`OdfNumberStyleElement` | `createNumberStyleElement(OdfStyleName name)` Create child element number:number-style.
`OdfOpacityElement` | `createOpacityElement(OdfGradientStyleType style)` Create child element draw:opacity.
`OdfOutlineStyleElement` | `createOutlineStyleElement(OdfStyleName name)` Create child element text:outline-style.
`OdfPercentageStyleElement` | `createPercentageStyleElement(OdfStyleName name)` Create child element number:percentage-style.
`OdfPresentationPageLayoutElement` | `createPresentationPageLayoutElement(OdfStyleName name)` Create child element style:presentation-page-layout.
`OdfRadialGradientElement` | `createRadialGradientElement(OdfStyleName name)` Create child element svg:radialGradient.
`OdfStrokeDashElement` | `createStrokeDashElement(OdfStyleName name)` Create child element draw:stroke-dash.
`OdfStyleElement` | `createStyleElement(OdfStyleName name)` Create child element style:style.
`OdfTextStyleElement` | `createTextStyleElement(OdfStyleName name)` Create child element number:text-style.
`OdfTimeStyleElement` | `createTimeStyleElement(OdfStyleName name)` Create child element number:time-style.
`OdfName` | `getOdfName()` Get the element name

Methods inherited from class org.odftoolkit.odfdom.dom.element.OdfContainerElementBase
`insertBefore, onOdfNodeInserted, onOdfNodeRemoved, removeChild, replaceChild`

Methods inherited from class org.odftoolkit.odfdom.dom.element.OdfElement
`cloneNode, equals, findFirstChildNode, findNextChildNode, findPreviousChildNode, getAncestorAs, getOdfAttribute, getParentAs, hasOdfAttribute, onInsertNode, onInsertNode, onRemoveNode, onRemoveNode, setOdfAttribute, toString`

Methods inherited from class org.apache.xerces.dom.ElementNSImpl
`getBaseURI, getLocalName, getNamespaceURI, getPrefix, getTypeName, getTypeNamespace, isDerivedFrom, setPrefix, setType, setValues`

Methods inherited from class org.apache.xerces.dom.ElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getDefaultAttributes, getElementsByTagName, getElementsByTagNameNS, getNodeName, getNodeType, getSchemaTypeInfo, getTagName, getXercesAttribute, hasAttribute, hasAttributeNS, hasAttributes, isEqualNode, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS, setOwnerDocument, setReadOnly, setupDefaultAttributes, setXercesAttributeNode, synchronizeData`

Methods inherited from class org.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, getTextContent, hasChildNodes, item, setTextContent, synchronizeChildren`

Methods inherited from class org.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class org.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, compareDocumentPosition, compareTreePosition, dispatchEvent, getContainer, getFeature, getNodeNumber, getNodeValue, getReadOnly, getUserData, getUserData, getUserDataRecord, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, needsSyncChildren, removeEventListener, setNodeValue, setUserData, setUserData`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, compareDocumentPosition, getChildNodes, getFeature, getFirstChild, getLastChild, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPreviousSibling, getTextContent, getUserData, hasChildNodes, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, setNodeValue, setTextContent, setUserData`

Field Detail

### ELEMENT_NAME

    public static final OdfName ELEMENT_NAME

Constructor Detail

### OdfStylesElement

    public OdfStylesElement(OdfFileDom aOwnerDoc)

  Create the instance of OdfStylesElement

  Parameters:
    `aOwnerDoc` - The type is OdfFileDom

Method Detail

### getOdfName

    public OdfName getOdfName()

  Get the element name

  Specified by:
    `getOdfName` in class `OdfElement`
  Returns:
    return the name of element office:styles.

### createStyleElement

    public OdfStyleElement createStyleElement(OdfStyleName name)

  Create child element style:style.

  Parameters:
    `name` - the attribute's type is org.odftoolkit.odfdom.dom.type.OdfStyleName
  Returns:
    return the element style:style

### createListStyleElement

    public OdfListStyleElement createListStyleElement(OdfStyleName name)

  Create child element text:list-style.

  Parameters:
    `name` - the attribute's type is org.odftoolkit.odfdom.dom.type.OdfStyleName
  Returns:
    return the element text:list-style

### createNumberStyleElement

    public OdfNumberStyleElement createNumberStyleElement(OdfStyleName name)

  Create child element number:number-style.

  Parameters:
    `name` - the attribute's type is org.odftoolkit.odfdom.dom.type.OdfStyleName
  Returns:
    return the element number:number-style

### createCurrencyStyleElement

    public OdfCurrencyStyleElement createCurrencyStyleElement(OdfStyleName name)

  Create child element number:currency-style.

  Parameters:
    `name` - the attribute's type is org.odftoolkit.odfdom.dom.type.OdfStyleName
  Returns:
    return the element number:currency-style

### createPercentageStyleElement

    public OdfPercentageStyleElement createPercentageStyleElement(OdfStyleName name)

  Create child element number:percentage-style.

  Parameters:
    `name` - the attribute's type is org.odftoolkit.odfdom.dom.type.OdfStyleName
  Returns:
    return the element number:percentage-style

### createDateStyleElement

    public OdfDateStyleElement createDateStyleElement(OdfStyleName name)

  Create child element number:date-style.

  Parameters:
    `name` - the attribute's type is org.odftoolkit.odfdom.dom.type.OdfStyleName
  Returns:
    return the element number:date-style

### createTimeStyleElement

    public OdfTimeStyleElement createTimeStyleElement(OdfStyleName name)

  Create child element number:time-style.

  Parameters:
    `name` - the attribute's type is org.odftoolkit.odfdom.dom.type.OdfStyleName
  Returns:
    return the element number:time-style

### createBooleanStyleElement

    public OdfBooleanStyleElement createBooleanStyleElement(OdfStyleName name)

  Create child element number:boolean-style.

  Parameters:
    `name` - the attribute's type is org.odftoolkit.odfdom.dom.type.OdfStyleName
  Returns:
    return the element number:boolean-style

### createTextStyleElement

    public OdfTextStyleElement createTextStyleElement(OdfStyleName name)

  Create child element number:text-style.

  Parameters:
    `name` - the attribute's type is org.odftoolkit.odfdom.dom.type.OdfStyleName
  Returns:
    return the element number:text-style

### createDefaultStyleElement

    public OdfDefaultStyleElement createDefaultStyleElement()

  Create child element style:default-style.

  Returns:
    return the element style:default-style

### createDefaultPageLayoutElement

    public OdfDefaultPageLayoutElement createDefaultPageLayoutElement()

  Create child element style:default-page-layout.

  Returns:
    return the element style:default-page-layout

### createOutlineStyleElement

    public OdfOutlineStyleElement createOutlineStyleElement(OdfStyleName name)

  Create child element text:outline-style.

  Parameters:
    `name` - the attribute's type is org.odftoolkit.odfdom.dom.type.OdfStyleName
  Returns:
    return the element text:outline-style

### createNotesConfigurationElement

    public OdfNotesConfigurationElement createNotesConfigurationElement(OdfNoteClassType noteClass)

  Create child element text:notes-configuration.

  Parameters:
    `noteClass` - the attribute's type is OdfNoteClassType, see text:note-class at specification
  Returns:
    return the element text:notes-configuration

### createBibliographyConfigurationElement

    public OdfBibliographyConfigurationElement createBibliographyConfigurationElement()

  Create child element text:bibliography-configuration.

  Returns:
    return the element text:bibliography-configuration

### createLinenumberingConfigurationElement

    public OdfLinenumberingConfigurationElement createLinenumberingConfigurationElement()

  Create child element text:linenumbering-configuration.

  Returns:
    return the element text:linenumbering-configuration

### createGradientElement

    public OdfGradientElement createGradientElement(OdfGradientStyleType style)

  Create child element draw:gradient.

  Parameters:
    `style` - the attribute's type is OdfGradientStyleType, see draw:gradient-style at specification
  Returns:
    return the element draw:gradient

### createLinearGradientElement

    public OdfLinearGradientElement createLinearGradientElement(OdfStyleName name)

  Create child element svg:linearGradient.

  Parameters:
    `name` - the attribute's type is org.odftoolkit.odfdom.dom.type.OdfStyleName
  Returns:
    return the element svg:linearGradient

### createRadialGradientElement

    public OdfRadialGradientElement createRadialGradientElement(OdfStyleName name)

  Create child element svg:radialGradient.

  Parameters:
    `name` - the attribute's type is org.odftoolkit.odfdom.dom.type.OdfStyleName
  Returns:
    return the element svg:radialGradient

### createHatchElement

    public OdfHatchElement createHatchElement(OdfStyleName name,
                                              OdfHatchStyleType style)

  Create child element draw:hatch.

  Parameters:
    `name` - the attribute's type is org.odftoolkit.odfdom.dom.type.OdfStyleName
    `style` - the attribute's type is OdfHatchStyleType, see draw:hatch-style at specification
  Returns:
    return the element draw:hatch

### createFillImageElement

    public OdfFillImageElement createFillImageElement(OdfStyleName name,
                                                      OdfAnyURI href)

  Create child element draw:fill-image.

  Parameters:
    `name` - the attribute's type is org.odftoolkit.odfdom.dom.type.OdfStyleName
    `href` - the attribute's type is URI
  Returns:
    return the element draw:fill-image

### createMarkerElement

    public OdfMarkerElement createMarkerElement(OdfStyleName name,
                                                Integer viewBox,
                                                String d)

  Create child element draw:marker.

  Parameters:
    `name` - the attribute's type is org.odftoolkit.odfdom.dom.type.OdfStyleName
    `viewBox` - Integer
    `d` - String
  Returns:
    return the element draw:marker

### createStrokeDashElement

    public OdfStrokeDashElement createStrokeDashElement(OdfStyleName name)

  Create child element draw:stroke-dash.

  Parameters:
    `name` - the attribute's type is org.odftoolkit.odfdom.dom.type.OdfStyleName
  Returns:
    return the element draw:stroke-dash

### createOpacityElement

    public OdfOpacityElement createOpacityElement(OdfGradientStyleType style)

  Create child element draw:opacity.

  Parameters:
    `style` - the attribute's type is OdfGradientStyleType, see draw:gradient-style at specification
  Returns:
    return the element draw:opacity

### createPresentationPageLayoutElement

    public OdfPresentationPageLayoutElement createPresentationPageLayoutElement(OdfStyleName name)

  Create child element style:presentation-page-layout.

  Parameters:
    `name` - the attribute's type is org.odftoolkit.odfdom.dom.type.OdfStyleName
  Returns:
    return the element style:presentation-page-layout

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.